Add items to a specific list
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/list/{listId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"sku": "sku1",
"itemId": "123",
"quantity": 1
}
]
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/list/{listId}/items"
payload = [
{
"sku": "sku1",
"itemId": "123",
"quantity": 1
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{sku: 'sku1', itemId: '123', quantity: 1}])
};
fetch('https://prod01.oms.fabric.inc/api/v2/list/{listId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"listId": "5349b4ddd2781d08c09890f4",
"sku": "sku1",
"itemId": "123",
"quantity": 1
}
]{
"message": "Bad Request"
}{
"message": "Object Not Found."
}{
"message": "Internal Server Error"
}List
Add items to a specific list
Add array of items to a specific list by list ID.
POST
/
list
/
{listId}
/
items
Add items to a specific list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the list to which items are to be added
Example:
"62fa3796841ea417fa71d2a9"
Body
application/json
Response
ListDetails Created
Was this page helpful?
⌘I
